Merge pull request #90 from thetechprepper/misc/pre-r6-build6-updates

Merge misc/pre-r6-build6-updates to release/r6
This commit is contained in:
thetechprepper
2026-03-07 15:50:52 -07:00
committed by GitHub
6 changed files with 166 additions and 8 deletions
+78
View File
@@ -0,0 +1,78 @@
# ETC Regression Tests
- **Build**: ETC R6 Build 6
- **Date**: 6 March 2026
## Desktop/Launcher Icons
* [ ] JS8Call icon
* [ ] fldigi icon
* [ ] et-predict
* [ ] et-aircraft
* [ ] Terminal
* [ ] Navit
* [ ] Min web browser
## et-predict
* [ ] Map displays
* [ ] Location geodetected
* [ ] Callsign search
* [ ] Run prediction (e.g, ardop, ssb, vara-500, etc.)
## GPS
* [ ] Conky
* [ ] lat,lon
* [ ] dynamic grid
* [ ] et-api - http://localhost:1981/api/geo/position
* [ ] GPS Time
## User Configuration
* [ ] Launch JS8Call before et-user init (not allowed)
* [ ] et-user-restore
* [ ] et-user
## Radio
* [ ] et-radio
* [ ] TX-500MP
* [ ] JS8Call
* [ ] alsamixer levels
[ ] dynamic grid
[ ] Decode data
[ ] Tune up + full TX power out
[ ] SNR + full TX power out
* [ ] et-aircraft-app
* [ ] Geolocation
* [ ] RTL-SDR v4
* [ ] RTL-SDR v3
* [ ] RTL-SDR v2
* [ ] ADS-B Exchange
* [ ] et-mode
[ ] FT-857D + Winlink ARDOP
## Bluetooth TNC
* [ ] et-uv-pro
## VARA
* [ ] VARA restore
* [ ] et-mode VARA FM (Winlink)
* [ ] et-mode VARA HF (Winlink)
## SDR
* [ ] SDR++
## SIGINT
* [ ] Artemis
## Security
* [ ] gpa
+49
View File
@@ -0,0 +1,49 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 6 March 2026
# Purpose : Install GNU Privacy Assistant
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
APP=gpa
VERSION=0.11.1
DOWNLOAD_FILE="${APP}-${VERSION}.tar.bz2"
URL="https://www.gnupg.org/ftp/gcrypt/gpa/${DOWNLOAD_FILE}"
INSTALL_DIR=/opt/${APP}-${VERSION}
LINK_PATH=/opt/${APP}
et-log "Installing ${APP} ${VERSION}..."
et-log "Installing build dependencies..."
apt install \
libgtk-3-dev \
libgpg-error-dev \
libgpgme-dev \
-y
if [[ ! -e ${ET_DIST_DIR}/${DOWNLOAD_FILE} ]]; then
et-log "Downloading ${URL}"
download_with_retries ${URL} ${DOWNLOAD_FILE}
mv ${DOWNLOAD_FILE} ${ET_DIST_DIR}
fi
CWD_DIR=`pwd`
cd ${ET_SRC_DIR}
tar -xjf ${ET_DIST_DIR}/${DOWNLOAD_FILE} && cd ${APP}-${VERSION}
[[ ! -e ${INSTALL_DIR} ]] && mkdir -v ${INSTALL_DIR}
./configure --prefix=${INSTALL_DIR}
make && make install
[[ -e ${LINK_PATH} ]] && rm ${LINK_PATH}
ln -s ${INSTALL_DIR} ${LINK_PATH}
stow -v -d /opt ${APP} -t /usr/local
cd ${CWD_DIR}
@@ -3,14 +3,8 @@
# Author : William McKeehan
# Author : Gaston Gonzalez
# Date : 3 September 2025
# Updated : 10 December 2025
# Updated : 6 March 2026
# Purpose : Install SDR++
# WARNING: SDR++ may get pulled altogether as this application's dependencies
# has a high risk of breaking the stability of the platform. DO NOT RELY ON
# SDR++ being here for much longer. I am testing this downgrade to an earlier
# version (1.0.4). The nightly build goes against the goals of EmComm Tools
# philosophy. Stability always wins over new and shinny.
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
@@ -22,8 +16,27 @@ APP=sdrpp
VERSION=nightly
DOWNLOAD_FILE=sdrpp_ubuntu_jammy_amd64.deb
et-log "****************************************************************"
et-log "* WARNING: *"
et-log "* *"
et-log "* SDR++ may get pulled at any time due to its nightly builds. *"
et-log "* Since the nightly builds are not version pinned, the library *"
et-log "* dependencies may change and result in run-time issues or may *"
et-log "* lead to breakage impacting other parts of the system. *"
et-log "****************************************************************"
et-log "Installing ${APP} ${VERSION}..."
et-log "Installing build dependencies..."
apt install \
libvolk2-bin \
libvolk2-dev \
libfftw3-dev \
libglfw3-dev \
librtaudio-dev \
libzstd-dev \
-y
if [[ ! -e ${ET_DIST_DIR}/${DOWNLOAD_FILE} ]]; then
URL="https://github.com/AlexandreRouma/SDRPlusPlus/releases/download/${VERSION}/${DOWNLOAD_FILE}"
+5 -1
View File
@@ -2,7 +2,7 @@
#
# Author : Gaston Gonzalez
# Date : 16 March 2024
# Updated : 15 February 2026
# Updated : 6 March 2026
# Purpose : Main installer for EmComm Tools Community (ETC)
. ./env.sh
@@ -73,6 +73,7 @@ exitIfNotRoot
# Install SDR tools
./install-sdr-tools.sh
./install-dump1090.sh
./install-sdrpp.sh
# Install ETC custom maps
./download-et-maps.sh
@@ -98,3 +99,6 @@ exitIfNotRoot
# Instal SIGINT tools
./install-artemis.sh
./install-minimodem.sh
# Install security tools
./install-gpa.sh
+7
View File
@@ -0,0 +1,7 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 6 March 2026
# Purpose : Test Audacity installation
OUT=$(which audacity)
exit $?
+7
View File
@@ -0,0 +1,7 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 6 March 2026
# Purpose : Test GNU Privacy Assistance installation
OUT=$(which gpa)
exit $?